## imcode.server.document
Class DocumentVisitor

    java.lang.Object
      imcode.server.document.DocumentVisitor

Direct Known Subclasses:
  DocumentDeletingVisitor, DocumentStoringVisitor

    public class DocumentVisitor

extends java.lang.Object

Constructor Summary
`DocumentVisitor()`

Method Summary
`void` `visitFileDocument(FileDocumentDomainObject fileDocument)`
`void` `visitHtmlDocument(HtmlDocumentDomainObject htmlDocument)`
`protected void` `visitOtherDocument(DocumentDomainObject otherDocument)`
`void` `visitTextDocument(TextDocumentDomainObject textDocument)`
`void` `visitUrlDocument(UrlDocumentDomainObject urlDocument)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentVisitor

    public DocumentVisitor()

Method Detail

### visitTextDocument

    public void visitTextDocument(TextDocumentDomainObject textDocument)

### visitFileDocument

    public void visitFileDocument(FileDocumentDomainObject fileDocument)

### visitHtmlDocument

    public void visitHtmlDocument(HtmlDocumentDomainObject htmlDocument)

### visitUrlDocument

    public void visitUrlDocument(UrlDocumentDomainObject urlDocument)

### visitOtherDocument

    protected void visitOtherDocument(DocumentDomainObject otherDocument)